f97cffe65d3e340dc8a8831fb80d2a15b4617d18
[slyfox-gentoo.git] / dev-ruby / dbi / files / dbi-0.4.5-gentoo.patch
1 Index: dbi-0.4.5/lib/dbi/columninfo.rb
2 ===================================================================
3 --- dbi-0.4.5.orig/lib/dbi/columninfo.rb
4 +++ dbi-0.4.5/lib/dbi/columninfo.rb
5 @@ -2,7 +2,7 @@ require 'delegate'
6  
7  begin
8      require 'rubygems'
9 -    gem 'deprecated', "= 2.0.1"
10 +    gem 'deprecated', "~> 2.0.1"
11  rescue LoadError => e
12  end
13  
14 Index: dbi-0.4.5/test/dbi/tc_dbi.rb
15 ===================================================================
16 --- dbi-0.4.5.orig/test/dbi/tc_dbi.rb
17 +++ dbi-0.4.5/test/dbi/tc_dbi.rb
18 @@ -141,14 +141,6 @@ class TC_DBI < Test::Unit::TestCase
19  
20     def test_available_drivers
21         assert_respond_to(DBI, :available_drivers)
22 -       assert_equal(
23 -       [
24 -            "dbi:Mysql:",
25 -            "dbi:ODBC:",
26 -            "dbi:Pg:",
27 -            "dbi:SQLite3:",
28 -            "dbi:SQLite:"
29 -       ], DBI.available_drivers.sort)
30     end
31  
32     # PRIVATE METHODS